from sqlalchemy.orm import Mapped, mapped_column

from . import Base


class UserModel(Base):
    __tablename__ = "user"

    name: Mapped[str]
    email: Mapped[str] = mapped_column(unique=True)
    hashed_password: Mapped[str]
